import 'package:flutter/material.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';
import '/views/main/home.dart';
import '/views/authentication/unauthenticated_landing.dart';
import '/views/authentication/login.dart';
import '/views/authentication/signup.dart';

void main() async {
    await dotenv.load(fileName: ".env");
    runApp(const MyApp());
}

class MyApp extends StatelessWidget {
    const MyApp({Key? key}) : super(key: key);

    static const String _title = 'Envelope';

    @override
    Widget build(BuildContext context) {
        return MaterialApp(
                title: _title,
                routes: {
                    '/home': (context) => const Home(),
                    '/landing': (context) => const UnauthenticatedLandingWidget(),
                    '/login': (context) => const Login(),
                    '/signup': (context) => const Signup(),
                },
                home: const Scaffold(
                        backgroundColor: Colors.cyan,
                        body: SafeArea(
                                child: Home(),
                        )
                ),
                theme: ThemeData(
                        appBarTheme: const AppBarTheme(
                                backgroundColor: Colors.cyan,
                                elevation: 0,
                        ),
                        inputDecorationTheme: const InputDecorationTheme(
                                border: OutlineInputBorder(),
                                focusedBorder: OutlineInputBorder(),
                                labelStyle: TextStyle(
                                        color: Colors.white,
                                        fontSize: 30,
                                ),
                                filled: true,
                                fillColor: Colors.white,
                        ),

                ),

        );
    }
}
